Skip to main content
GET
List the tasks of a deal

Authorizations

x-api-key
string
header
required

Path Parameters

dealId
string
required
Minimum string length: 1

Query Parameters

[limit]
integer

How many records to return, at most 250.

Required range: 1 <= x <= 250
[offset]
integer

How many records to skip.

Required range: x >= 0
[project]
string

Comma-separated list of fields to return, e.g. id,createdAt.

Minimum string length: 1
[with]
string

Comma-separated list of relations to populate.

Minimum string length: 1

Response

Success

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
projectId
string
required
Minimum string length: 1
dealId
string
required
Minimum string length: 1
title
string
required
Minimum string length: 1
dueAt
string<date-time>
required
responsibleId
string
required
Minimum string length: 1
result
string
completedAt
string<date-time>
completedBy
string
Minimum string length: 1
createdBy
string
Minimum string length: 1
deal
object | null